LUNZIP(1)

NAME
lunzip - decompressor for lzip files

SYNOPSIS
lunzip [options] [files]

DESCRIPTION
Lunzip is a decompressor for lzip files. It is written in C and its small size makes it well suited for embedded devices or software installers that need to decompress files but do not need compression capabilities. Lunzip is fully compatible with lzip-1.4 or newer.

Lunzip provides a 'low memory' mode able to decompress any file using as little memory as 50 kB, irrespective of the dictionary size used to compress the file. To activate it, specify the size of the output buffer with the '--buffer-size' option and lunzip will use the decompressed file as dictionary for distances beyond the buffer size. Of course, the smaller the output buffer size used in relation to the dictionary size, the more accesses to disk are needed and the slower the decompression is. This 'low memory' mode only works when decompressing to a regular file.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-c, --stdout
    send output to standard output

-d, --decompress
    decompress (this is the default)

-f, --force
    overwrite existing output files

-k, --keep
    keep (don't delete) input files

-o, --output=<file>
    if reading stdin, place the output into <file>

-q, --quiet
    suppress all messages

-t, --test
    test compressed file integrity

-u, --buffer-size=<bytes>
    set output buffer size in bytes

-v, --verbose
    be verbose (a 2nd -v gives more)

If no file names are given, lunzip decompresses from standard input to standard output. Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (eg, bug) which caused lunzip to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Lunzip home page: http://www.nongnu.org/lzip/lunzip.html

COPYRIGHT
Copyright © 2015 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.